# Generated by Django 3.2.20 on 2023-09-07 13:41

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('NEMO_billing', '0005_version_2_5_6'),
        ('cap_discount', '0004_shortened_unique_constraints'),
    ]

    def migrate_configuration_core_facilities(apps, schema_editor):
        CAPDiscountConfiguration = apps.get_model("cap_discount", "CAPDiscountConfiguration")
    
        for config in CAPDiscountConfiguration.objects.all():
            config.core_facilities.add(config.core_facility)

    operations = [
        migrations.AlterField(
            model_name='capdiscountconfiguration',
            name='core_facility',
            field=models.ForeignKey(blank=True, help_text='The core facility this CAP applies to', null=True, on_delete=django.db.models.deletion.CASCADE, related_name='cf', to='NEMO_billing.corefacility'),
        ),
        migrations.AddField(
            model_name='capdiscountconfiguration',
            name='core_facilities',
            field=models.ManyToManyField(blank=True, help_text='The core facility(ies) this CAP applies to. If multiple are selected, the CAP is shared between facilities', to='NEMO_billing.CoreFacility'),
        ),
        migrations.RunPython(migrate_configuration_core_facilities),
        migrations.RemoveConstraint(
            model_name='capdiscountconfiguration',
            name='capdiscountconfiguration_unique_rate_category_facility',
        ),
        migrations.RemoveConstraint(
            model_name='capdiscountconfiguration',
            name='capdiscountconfiguration_unique_rate_category_null_facility',
        ),
        migrations.RemoveField(
            model_name='capdiscountconfiguration',
            name='core_facility',
        ),
    ]
